Protection
5 min
Add personal blacklist
Add a domain to a personal blacklist
POST
https://api.fsflt.net/panel/protection/blacklist/add
Header Parameters
- X-API-KEYstringrequiredDescription
Body Parameters
- customer_codeNumberrequiredDescription
- domainstringrequiredDescription
- profile_codeNumberrequiredDescription
shell
curl -X 'POST' \
'https://api.fsflt.net/panel/protection/blacklist/add' \
-H 'accept: application/json' \
-H "Content-Type: application/json" \
-H "X-API-KEY: YOUR_API_KEY" \
-d '{YOUR_PARAM}'200
{
"code": 200,
"content": "Domain blacklisted successfully"
}405
{
"code": 200,
"content": "Domain already present in Personal Blacklists"
}100
Add personal whitelist
Add a domain to a personal whitelist
POST
https://api.fsflt.net/panel/protection/whitelist/add
Header Parameters
- X-API-KEYstringrequiredDescription
Body Parameters
- customer_codeNumberrequiredDescription
- domainstringrequiredDescription
- profile_codeNumberrequiredDescription
shell
curl -X 'POST' \
'https://api.fsflt.net/panel/protection/whitelist/add' \
-H 'accept: application/json' \
-H "Content-Type: application/json" \
-H "X-API-KEY: YOUR_API_KEY" \
-d '{YOUR_PARAM}'200
{
"code": 200,
"content": "Domain whitelisted successfully"
}405
{
"code": 200,
"content": "Domain already present in Personal Whitelist"
}Remove personal whitelist
Remove a domain from a personal whitelist
POST
https://api.fsflt.net/panel/protection/whitelist/remove
Header Parameters
- X-API-KEYstringrequiredDescription
Body Parameters
- customer_codeNumberrequiredDescription
- domainstringrequiredDescription
- profile_codeNumberrequiredDescription
shell
curl -X 'POST' \
'https://api.fsflt.net/panel/protection/whitelist/add' \
-H 'accept: application/json' \
-H "Content-Type: application/json" \
-H "X-API-KEY: YOUR_API_KEY" \
-d '{YOUR_PARAM}'200
{
"code": 200,
"content": "Domain whitelisted successfully"
}405
{
"code": 200,
"content": "Domain already present in Personal Whitelist"
}Remove personal blacklist
Remove a domain from a personal blacklist
POST
https://api.fsflt.net/panel/protection/blacklist/remove
Header Parameters
- X-API-KEYstringrequiredDescription
Body Parameters
- customer_codeNumberrequiredDescription
- domainstringrequiredDescription
- profile_codeNumberrequiredDescription
shell
curl -X 'POST' \
'https://api.fsflt.net/panel/protection/whitelist/add' \
-H 'accept: application/json' \
-H "Content-Type: application/json" \
-H "X-API-KEY: YOUR_API_KEY" \
-d '{YOUR_PARAM}'200
{
"code": 200,
"content": "Domain whitelisted successfully"
}405
{
"code": 200,
"content": "Domain already present in Personal Whitelist"
}Block a category
Block a category for a given profile
POST
https://api.fsflt.net/panel/protection/category/block
Header Parameters
- X-API-KEYstringrequiredDescription
Body Parameters
- customer_codeNumberrequiredDescription
- categorystringrequiredDescription
- profile_codeNumberrequiredDescription
shell
curl -X 'POST' \
'https://api.fsflt.net/panel/protection/category/block' \
-H 'accept: application/json' \
-H "Content-Type: application/json" \
-H "X-API-KEY: YOUR_API_KEY" \
-d '{YOUR_PARAM}'200
{
"code": 200,
"content": "Category blocked successfully"
}405
{
"code": 405,
"content": "Category already blocked"
}412
{
"code": 412,
"content": "You cannot manage this category, you need a valid ProPlus License to handle this."
}Allow a category
Allow a category for a given profile
POST
https://api.fsflt.net/panel/protection/category/allow
Header Parameters
- X-API-KEYstringrequiredDescription
Body Parameters
- customer_codeNumberrequiredDescription
- categorystringrequiredDescription
- profile_codeNumberrequiredDescription
shell
curl -X 'POST' \
'https://api.fsflt.net/panel/protection/category/allow' \
-H 'accept: application/json' \
-H "Content-Type: application/json" \
-H "X-API-KEY: YOUR_API_KEY" \
-d '{YOUR_PARAM}'200
{
"code": 200,
"content": "Category allowed successfully"
}405
{
"code": 405,
"content": "Category already allowed"
}412
{
"code": 412,
"content": "You cannot manage this category, you need a valid ProPlus License to handle this."
}Enable Safesearch
Enable the safesearch option
POST
https://api.fsflt.net/panel/protection/safesearch/enable
Header Parameters
- X-API-KEYstringrequiredDescription
Body Parameters
- customer_codeNumberrequiredDescription
- profile_codeNumberrequiredDescription
- typestringrequiredDescription
shell
curl -X 'POST' \
'https://api.fsflt.net/panel/protection/category/blocked' \
-H 'accept: application/json' \
-H "Content-Type: application/json" \
-H "X-API-KEY: YOUR_API_KEY" \
-d '{YOUR_PARAM}'200
{
"code": 200,
"content": "SafeSearch protection enabled successfully"
}409
{
"code": 409,
"content": "Please provide a valid customer"
}406
{
"code": 409,
"content": "Profile not found"
}412
{
"code": 412,
"content": "Please provide a correct type"
}Disable Safesearch
Disable the safesearch option
POST
https://api.fsflt.net/panel/protection/safesearch/disable
Header Parameters
- X-API-KEYstringrequiredDescription
Body Parameters
- customer_codeNumberrequiredDescription
- profile_codeNumberrequiredDescription
- typestringrequiredDescription
shell
curl -X 'POST' \
'https://api.fsflt.net/panel/protection/category/blocked' \
-H 'accept: application/json' \
-H "Content-Type: application/json" \
-H "X-API-KEY: YOUR_API_KEY" \
-d '{YOUR_PARAM}'200
{
"code": 200,
"content": "SafeSearch protection disabled successfully"
}409
{
"code": 409,
"content": "Please provide a valid customer"
}406
{
"code": 409,
"content": "Profile not found"
}412
{
"code": 412,
"content": "Please provide a correct type"
}Block a Country
Geoblocking => Block a country
POST
https://api.fsflt.net/panel/protection/country/block
Header Parameters
- X-API-KEYstringrequiredDescription
Body Parameters
- customer_codeNumberrequiredDescription
- profile_codeNumberrequiredDescription
- country_codestringrequiredDescription
curl
curl --location 'https://api.fsflt.net/panel/protection/country/block' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{"customer_code":"Number","profile_code":"Number","country_code":"string"}'nodejs
var request = require('request');
var options = {
'method': 'POST',
'url': 'https://api.fsflt.net/panel/protection/country/block',
'headers': {
'Accept': 'application/json',
'Content-Type': 'application/json'
},
body: JSON.stringify({
"customer_code": "Number",
"profile_code": "Number",
"country_code": "string"
})
};
request(options, function (error, response) {
if (error) throw new Error(error);
console.log(response.body);
});
javascript
var myHeaders = new Headers();
myHeaders.append("Accept", "application/json");
myHeaders.append("Content-Type", "application/json");
var raw = JSON.stringify({
"customer_code": "Number",
"profile_code": "Number",
"country_code": "string"
});
var requestOptions = {
method: 'POST',
headers: myHeaders,
body: raw,
redirect: 'follow'
};
fetch("https://api.fsflt.net/panel/protection/country/block", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));python
import requests
import json
url = "https://api.fsflt.net/panel/protection/country/block"
payload = json.dumps({
"customer_code": "Number",
"profile_code": "Number",
"country_code": "string"
})
headers = {
'Accept': 'application/json',
'Content-Type': 'application/json'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.fsflt.net/panel/protection/country/block")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Accept"] = "application/json"
request["Content-Type"] = "application/json"
request.body = JSON.dump({
"customer_code": "Number",
"profile_code": "Number",
"country_code": "string"
})
response = https.request(request)
puts response.read_body
200
{
"code": 200,
"content": "Country blocked successfully"
}409
{
"code": 409,
"content": "Please provide a valid customer"
}406
{
"code": 409,
"content": "Profile not found"
}412
{
"code": 412,
"content": "Country already blocked"
}Allow a Country
Geoblocking => Allow a country
POST
https://api.fsflt.net/panel/protection/country/allow
Header Parameters
- X-API-KEYstringrequiredDescription
Body Parameters
- customer_codeNumberrequiredDescription
- profile_codeNumberrequiredDescription
- country_codestringrequiredDescription
curl
curl --location 'https://api.fsflt.net/panel/protection/country/block' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{"customer_code":"Number","profile_code":"Number","country_code":"string"}'nodejs
var request = require('request');
var options = {
'method': 'POST',
'url': 'https://api.fsflt.net/panel/protection/country/block',
'headers': {
'Accept': 'application/json',
'Content-Type': 'application/json'
},
body: JSON.stringify({
"customer_code": "Number",
"profile_code": "Number",
"country_code": "string"
})
};
request(options, function (error, response) {
if (error) throw new Error(error);
console.log(response.body);
});
javascript
var myHeaders = new Headers();
myHeaders.append("Accept", "application/json");
myHeaders.append("Content-Type", "application/json");
var raw = JSON.stringify({
"customer_code": "Number",
"profile_code": "Number",
"country_code": "string"
});
var requestOptions = {
method: 'POST',
headers: myHeaders,
body: raw,
redirect: 'follow'
};
fetch("https://api.fsflt.net/panel/protection/country/block", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));python
import requests
import json
url = "https://api.fsflt.net/panel/protection/country/block"
payload = json.dumps({
"customer_code": "Number",
"profile_code": "Number",
"country_code": "string"
})
headers = {
'Accept': 'application/json',
'Content-Type': 'application/json'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.fsflt.net/panel/protection/country/block")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Accept"] = "application/json"
request["Content-Type"] = "application/json"
request.body = JSON.dump({
"customer_code": "Number",
"profile_code": "Number",
"country_code": "string"
})
response = https.request(request)
puts response.read_body
200
{
"code": 200,
"content": "Country allowed successfully"
}409
{
"code": 409,
"content": "Please provide a valid customer"
}406
{
"code": 409,
"content": "Profile not found"
}